From: Sophie Brun <sophie@offensive-security.com>
Date: Thu, 18 Feb 2021 09:44:55 +0100
Subject: Add missing gem listen

---
 Gemfile | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/Gemfile b/Gemfile
index b18160f..4daf20e 100644
--- a/Gemfile
+++ b/Gemfile
@@ -86,6 +86,9 @@ gem 'bcrypt', '3.1.12'
 # Required by Rails (uglifier and activesupport)
 gem 'json', '2.3.0'
 
+# Add listen because it's needed by activesupport
+gem 'listen', '>= 3.3'
+
 # XML manipulation
 gem 'nokogiri', '>= 1.16.5'
 
@@ -153,7 +156,10 @@ group :development do
   # Display performance information such as SQL time and flame graphs for each request in your browser.
   # Can be configured to work on production as well see: https://github.com/MiniProfiler/rack-mini-profiler/blob/master/README.md
   gem 'rack-mini-profiler', '~> 2.0'
-  gem 'listen'
+  # We add 'listen' above (because we don't install development gem). We
+  # disable this entry because it makes the build fail: the same gem must
+  # appear only once in a Gemfile
+  #gem 'listen'
 
   # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
   gem 'spring'
